let Genode = env:DHALL_GENODE

let Init = Genode.Init

let Child = Init.Child

let Libc = Genode.Libc

in  λ(binary : Text) →
      Child.flat
        Child.Attributes::{
        , binary
        , exitPropagate = True
        , resources = Genode.Init.Resources::{
          , caps = 500
          , ram = Genode.units.MiB 10
          }
        , config = Libc.toConfig Libc::{ args = [ "hello" ] }
        }
